<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" tokenKey="modelForm" label-width="170px" size="small">
       <el-tabs ref="elment" type="border-card" @tab-click="tabClick"> 
            <el-tab-pane label="经办夹查询">
                <m-menu :model="model" :codes="codes"/>
            </el-tab-pane>
       </el-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Sptsel from "~/Model/Sptsel"
import CommonProcess from "~/mixin/CommonProcess.js"
import Pattern from "~/Model/Sptsel/Pattern"
import Default from "~/model/Sptsel/Default";
import Check from "~/model/Sptsel/Check";
import Menu from "./Menu"
import Event from "~/model/Sptsel/Event"

export default {
    components:{
        "m-menu" : Menu,
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    computed: {

    },
    data(){
        return {
           model:new Sptsel().data,           
           checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
           rules:null,
           codes:{
           },
           declareParams:{"fileName":"sptsel.json","basePath":"{{basePath}}","method":"post","scheme":"{{schemes}}","host":"{{host}}","consume":"0","produce":"0","uri":"/sptsel/init"},
        }
    },
    methods:{...Event},
    mounted:async function(){
        console.log("进入sptsel交易");
        let rtnmsg = await Api.post(this,"init",{params:{}})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
